Expression Dialog causing minidump and crash when field aliases are in use

2017-02-13 12:48 PM - Simon McGowan

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.18.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 24097

Description

QGIS Version 2.18.3 running on Windows 7.

I have a shapefile that I am populating with data to handover to our client.

I am using the attribute table to edit the data.  I toggle edit mode.  Then click the expression dialog button.

Regardless of the expression I put in I am getting an immediate minidump and crash.

I think I've narrowed this down a little as it is only happening in files where I've created field aliases.  Unfortunately I need these as the

client has specified the field names which are coded and the aliases which are human readable.  Also, as shapefile field names are limited

to 10 characters aliases are required regardless.

My field aliases have been created using a pyqgis plugin I have written. Code below in case its me who's done something stupid:

layer = selectedLayer

fields = layer.pendingFields()

  for field in fields:

    for key in dictionary:

      if field.name() == key:

        index = layer.fieldNameIndex(field.name())

        layer.addAttributeAlias(index, dictionary[key])

Field calculations work correctly using the field calculator accessed from the layer properties dialog.

Related issues:

Related to QGIS Application - Bug report # 16302: Quick calculation bar cause... Closed 2017-03-07

History

#1 - 2017-03-07 04:12 AM - Giovanni Manghi

maybe related to #16302

#2 - 2017-03-07 04:13 AM - Giovanni Manghi

- Category set to Vectors

#3 - 2017-03-07 04:32 AM - Simon McGowan

The behavior described in #16302 is the same.

2025-04-27 1/2



#4 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-05-02 07:43 AM - Giovanni Manghi

- Resolution set to duplicate

- Description updated

- Status changed from Open to Closed
